
#!python3
# coding: utf-8
from __future__ import print_function, unicode_literals
import ui
from datetime import datetime
import time
import ui
from objc_util import NSBundle, ObjCClass
import inspect
import console
import speech
import ui

def createFilter(property, value, is_contains=0):
	mpp = ObjCClass('MPMediaPropertyPredicate').alloc()
	mpp.setProperty(property)
	mpp.setValue(value)
	mpp.setComparisonType(is_contains)
	return mpp

def getSonglist(ls):
	global rows,titles,artists,albums,persistents
	i=0
	for item in ls:
		title='%s' % item.title()
		artist='%s' % item.artist()
		album='%s' % item.albumTitle()
		persistent=item.persistentID()
		titles.append(title)
		artists.append(artist)
		albums.append(album)
		persistents.append(persistent)
		rows.append('['+str(i+1)+']'+title+'\n\t'+artist+'\n\t'+album)
		infos.append('['+str(i+1)+']'+title)
		i=i+1
		
def cell_tapped1(sender):
	global songs,rows,titles,persistents,prev
	n=ds1.selected_row
	v['label2'].text=rows[n]
	speech.say(titles[n]+'。')
	time.sleep(5)
	player.prepareToPlay()
	player.play()
	if n>prev:
		for i in range(0,n-prev):
			player.skipToNextItem()
		prev=n
	elif n<prev:
		for i in range(0,prev-n+1):
			player.skipToPreviousItem()
		prev=n
		
def stopMusic(sender):
	player.stop()

def startMusic(sender):
	player.play()
	
v = ui.load_view()
console.clear()



titles=[]
artists=[]
albums=[]
persistents=[]
rows=[]
infos=[]


NSBundle.bundleWithPath_('/System/Library/Frameworks/MediaPlayer.framework').load()
MPMusicPlayerController = ObjCClass('MPMusicPlayerController')
player = MPMusicPlayerController.iPodMusicPlayer()
MPMediaQuery = ObjCClass('MPMediaQuery')
mq = MPMediaQuery.songsQuery()
f0 = createFilter('isCloudItem', False)
mq.addFilterPredicate(f0)
player.setQueueWithQuery(mq)
player.prepareToPlay()
getSonglist(mq.items())
songs=len(mq.items())
prev=0
player.stop()
tv1=v['tableview1']
ds1 = ui.ListDataSource(infos)
ds1.action = cell_tapped1
tv1.data_source = tv1.delegate = ds1
v.background_color='#fff4cc'
v.present('sheet')

